package com.brilliance.isc.funds.common.controller;

import com.brilliance.isc.common.bop.controller.AbstractJshController;
import com.brilliance.isc.common.jshmod.vo.JshmodRequest;
import com.brilliance.isc.common.jshmod.vo.JshmodResponse;
import com.brilliance.isc.vo.ResponseSet;
import com.brilliance.isc.vo.funds.FxdBizInfoVo;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @program: isc-funds
 * @ClassName: FxdJshController
 * @description: 结售汇申报组件
 * @author: huangshunlin
 * @create: 2024-10-12 13:48
 */
@RestController
@RequestMapping("/fxd")
public class FxdJshController extends AbstractJshController<FxdBizInfoVo> {


    @RequestMapping("/calcJshmod")
    @Override
    public ResponseSet<JshmodResponse> calcJshmod(@RequestBody JshmodRequest<FxdBizInfoVo> jshmodRequest) {
        return super.calcJshmod(jshmodRequest);
    }
}
