package com.brilliance.isc.funds.fttpcm.register.settle;

import com.brilliance.isc.bo.model.Ftdgrp;import com.brilliance.isc.common.glemod.service.GlemodService;
import com.brilliance.isc.common.register.settle.DefaultSettleRegister;
import com.brilliance.isc.common.register.settle.ISettleRegister;
import com.brilliance.isc.common.setglg.service.SetglgService;
import com.brilliance.isc.common.setglg.vo.SetglgVo;import com.brilliance.isc.common.setmod.service.SetmodService;
import com.brilliance.isc.common.setmod.vo.SetmodVo;
import com.brilliance.isc.common.transaction.check.TrnmodCheck;import com.brilliance.isc.common.trnmod.service.impl.TrnmodServiceImpl;import com.brilliance.isc.common.trnmod.vo.TrnmodVo;import com.brilliance.isc.funds.common.component.FtToolComponent;import com.brilliance.isc.vo.funds.FtdBizInfoVo;import org.apache.poi.hpsf.Decimal;import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


@Component("fttpcm.settleRegister")
public class FttpcmSettleRegister implements ISettleRegister {

    @Autowired
    private SetmodService setmodService;
    @Autowired
    private SetglgService setglgService;
    @Autowired
    private DefaultSettleRegister defaultSettleRegister;

    @Autowired
    private GlemodService glemodService;

    @Autowired
    private TrnmodServiceImpl trnmodService;
    @Autowired
    private FtToolComponent ftToolComponent;

    @Override
    public void registerSettlement(SetmodVo setmodVo) {
        transRegister(setmodVo);
        defaultSettleRegister.registerSettlement(setmodVo);

    }
    public void transRegister(SetmodVo setmodVo) {
        FtdBizInfoVo rec = (FtdBizInfoVo) setmodVo.getRec();
       // Ftdgrp ftdgrp = ftToolComponent.getFtdgrpByInr(rec.getObjinr());
        setmodVo.setDoccur(setmodVo.getCbsMap().get("MAX").getCur());
        setmodVo.setDocamt(setmodVo.getCbsMap().get("MAX").getAmt());
        SetglgVo setglg = setmodVo.getSetglg();
        setglgService.setglgClrAmount ( setglg,"TRN" );
        String dbtKey = NULLSTR;
		String cdtKey = NULLSTR;

        dbtKey = setglgService.setglgAddAmount(setglg,"TRN","OWN",setmodVo.getDoccur(),setmodVo.getDocamt(),"","FTD","D","","");
        cdtKey = setglgService.setglgAddAmount(setglg,"TRN","TRO",setmodVo.getDoccur(),setmodVo.getDocamt(),"","FTD","C","","");

             setmodVo.setFeeclirol("TRO");

    }
}
