package com.brilliance.isc.funds.fxtsqo.document;

import com.brilliance.isc.doc.handle.impl.AbstractTransactionDocSet;
import com.brilliance.isc.funds.bo.funds.FxtsqoStoreBo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @program: isc-funds
 * @ClassName: FxtsqoDocSet
 * @description: 即期结售汇报价 Fxtsqo 面函
 * @author: huangshunlin
 * @create: 2024-10-08 15:39
 */
@Component("fxtsqo.docset")
public class FxtsqoDocSet extends AbstractTransactionDocSet<FxtsqoStoreBo> {

    private static final Logger logger = LoggerFactory.getLogger(FxtsqoDocSet.class);

    /**
     * 构建需要支持的面函组件
     */
    @PostConstruct
    public void buildMember() {
        //扫描Cortype支持，必须要执行
        scanDocCortypSupport();
    }


}
